@class NSObject;
@class RFBProtocolAdaptor;

@interface VNCController : NSObject
{
    id authenticationPanel;
    id authenticationPanelLabel;
    id authenticationPanelTextField;
    id authenticationPanelCheckBox;
    
    id displayEntryTextField;
    id displayEntryPortField;
    id displayOpenPanel;
    id displayEntryColorDepth;
    id displayEntryEncodingsMatrix;
    id displayEntrySharedCheckBox;

    RFBProtocolAdaptor *_rfbProto;
    NSMutableArray *_displayManagers;
    NSCursor *_hollowCursor;
}

+ (VNCController *)controller;

+ (NSCursor *)hollowCursor;
- (NSCursor *)hollowCursor;

- (NSArray *)displayManagers;

- (NSArray *)allowedEncodings;

- (void)openPanelOkClicked:(id)sender;
- (void)authenticationPanelOkClicked:(id)sender;

- (void)updateForemostDisplay:(id)sender;
- (void)orderFrontStatisticsPanel:(id)sender;
- (void)takeSnapshotOfFrontWindow:(id)sender;

@end
